-----------------------------------------------------------------------------
-- Stage 1-4
-----------------------------------------------------------------------------    

function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");   
             
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

	-- load world
	SetupWorld("Maps\\WorldPlains\\PlainsCommon.ini", "Maps\\Stage1-4\\Stage1-4.ini","","");
	EntGame.CreatePlayerEntities();

    EntGame.SetGlobalDustColorInitial(1.0, 0.20, .20, .20);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.20, .20, .20);
    
    EntGame.SetStageTimer(150);

    EntGame.LoadAnimal(AID_WILDEBEEST_M);
	EntGame.LoadAnimal(AID_WILDEBEEST_F);
	EntGame.LoadAnimal(AID_MEERKAT_M);
	EntGame.LoadAnimal(AID_HIPPO_M);
	
    animala=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "HIPPOPath1", 0, ST_GRAZING, 20000,5,1.5,.1);
	animalb=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "HIPPOPath2", 0, ST_GRAZING, 20000,6,3,.2);
	animalc=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "HIPPOPath3", 0, ST_GRAZING, 20000,0,0,.4);	

    StartupSequence("Music\\Moteff.ogg");
   
	EntGame.DestroyAllAnimals();
	
	 
--S    Animal.SetState(animala, ST_GONE);
--S    Animal.SetState(animalb, ST_GONE);
--S    Animal.SetState(animalc, ST_GONE);
    
    end;

-----------------------------------------------------------------------------

function Part1()

	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptBB");
	
	animal5=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath5", 0, ST_POPUP, 8, 2.64, -.3, 1);     
    Animal.SetElvOffset(animal5, 4.5); 
    Animal.FaceEntity(animal5, entCamera);
    Animal.SetCoinMode(animal5, CM_SPAWNREL);
 	
	Script.WaitSec(6); --Travel Time	
    
	EntGame.ShowCaption(STR_LVL_1_4_A, 0, 3.0);
		
	--MEERKAT MASSACURE     
 	animal1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath1", 0, ST_POPUP, 3, 0, 0, 1);     
    Animal.SetElvOffset(animal1, .3); 
    Animal.FaceEntity(animal1, entCamera); 
	Animal.SetCoinMode(animal1, CM_SPAWNREL);    
    Script.WaitSec(1.5);  
	animal5=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath5", 0, ST_POPUP, 4, 0, 0, 1);     
    Animal.SetElvOffset(animal5, .1); 
    Animal.FaceEntity(animal5, entCamera);
	Animal.SetCoinMode(animal5, CM_SPAWNREL);       
    Script.WaitSec(2.5);    
	animal3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath3", 0, ST_POPUP, 4, 0, 0, 1);     
    Animal.SetElvOffset(animal3, .1); 
    Animal.FaceEntity(animal3, entCamera);
	Animal.SetCoinMode(animal3, CM_SPAWNREL);
    Script.WaitSec(.5);    
	animal4=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath4", 0, ST_POPUP, 2.5, 0, 0, 1);     
    Animal.SetElvOffset(animal4, .1); 
    Animal.FaceEntity(animal4, entCamera);
	Animal.SetCoinMode(animal4, CM_SPAWNREL); 
   	Script.WaitSec(3);        
	animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath2", 0, ST_POPUP, 3, 0, 0, 1);     
    Animal.SetElvOffset(animal2, 1.9); 
    Animal.FaceEntity(animal2, entCamera); 
	Animal.SetCoinMode(animal2, CM_SPAWNREL); 
	animal5=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath5", 0, ST_POPUP, 2, 0, 0, 1);     
    Animal.SetElvOffset(animal5, .1); 
    Animal.FaceEntity(animal5, entCamera);   
	Animal.SetCoinMode(animal5, CM_SPAWNREL);    
  	Script.WaitSec(2);    
	animal6=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath6", 0, ST_POPUP, 4, 0, 0, 1); 
    Animal.SetElvOffset(animal6, -.1); 	    
    Animal.FaceEntity(animal6, entCamera);
	Animal.SetCoinMode(animal6, CM_SPAWNREL);
  	Script.WaitSec(1.5);      
 	animal1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath1", 0, ST_POPUP, 3, 0, 0, 1);     
    Animal.SetElvOffset(animal1, .4); 
    Animal.FaceEntity(animal1, entCamera);
	Animal.SetCoinMode(animal1, CM_SPAWNREL);
	    
    Script.WaitSec(.5);  
	animal4=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath4", 0, ST_POPUP, 2.5, 0, 0, 1);     
    Animal.SetElvOffset(animal4, .1); 
    Animal.FaceEntity(animal4, entCamera); 
    Animal.SetCoinMode(animal4, CM_SPAWNREL);
    Script.WaitSec(1.5);   
	animal5=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath5", 0, ST_POPUP, 3, 0, 0, 1);     
    Animal.SetElvOffset(animal5, .1); 
    Animal.FaceEntity(animal5, entCamera);
    Animal.SetCoinMode(animal5, CM_SPAWNREL);
    Script.WaitSec(1);    
	animal3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath3", 0, ST_POPUP, 3, 0, 0, 1);     
    Animal.SetElvOffset(animal3, .1); 
    Animal.FaceEntity(animal3, entCamera);
    Animal.SetCoinMode(animal3, CM_SPAWNREL);
    Script.WaitSec(1.5);     
	animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath2", 0, ST_POPUP, 2, 0, 0, 1);     
    Animal.SetElvOffset(animal2, 1.9); 
    Animal.FaceEntity(animal2, entCamera); 
    Animal.SetCoinMode(animal2, CM_SPAWNREL);
    Script.WaitSec(2.5);
  
    -- pan left and shoot some more
    Camera.SetPanOffset(entCamera, -35, 0.5);
    Script.WaitSec(1);    
	animal10=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath10", 0, ST_POPUP, 1.5, 0, 0, 1);     
    Animal.SetElvOffset(animal10, 1.2); 
    Animal.FaceEntity(animal10, entCamera); 
    Animal.SetCoinMode(animal10, CM_SPAWNREL);
   	Script.WaitSec(1.5);       
   		
    -- pan back to the center
    Camera.SetPanOffset(entCamera, 0, 2); 
    
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptCC");
	--Script.WaitSec(7); --Travel Time
		           
	animal4=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath4", 0, ST_POPUP, 2.5, 0, 0, 1);     
    Animal.SetElvOffset(animal4, .1); 
    Animal.FaceEntity(animal4, entCamera);  
    Animal.SetCoinMode(animal4, CM_SPAWNREL);                                             
  	Script.WaitSec(1);
	animal10=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath10", 0, ST_POPUP, 30, 1.1, .4, 1);     
    Animal.SetElvOffset(animal10, 1.2); 
    Animal.FaceEntity(animal10, entCamera);
    Animal.SetCoinMode(animal10, CM_SPAWNREL);
    Script.WaitSec(3);
 	animal9=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath9", 0, ST_POPUP, 60, 0, 0, 1);     
    Animal.SetElvOffset(animal9, .2); 
    Animal.FaceEntity(animal9, entCamera);
    Animal.SetCoinMode(animal9, CM_SPAWNREL);
    Script.WaitSec(2);     
	animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath2", 0, ST_POPUP, 2.5, 0, 0, 1);     
    Animal.SetElvOffset(animal2, 1.6); 
    Animal.FaceEntity(animal2, entCamera);  
    Animal.SetCoinMode(animal2, CM_SPAWNREL);
    Script.WaitSec(2);        	   
	animal1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath8", 0, ST_WPT_RUN, 60, 0, 0, 2);
	Animal.FaceEntity(animal1, entCamera);     
    Script.WaitSec(.7);	   
	animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath8", 0, ST_WPT_RUN, 60, -.8, .3, 1.6);
	Animal.FaceEntity(animal2, entCamera);	
   	Script.WaitSec(.25);	     
	animal3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath8", 0, ST_WPT_RUN, 60, .5, .4, 1.2);
	Animal.FaceEntity(animal3, entCamera);	     
  	Script.WaitSec(2);

	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptDD");

	EntGame.ShowCaption(STR_LVL_1_4_B, 0, 3.0);	
		
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath1", 1, ST_WPT_RUN, 60, 0, 0, 1); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 60, 0, -3, 1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath2", 1, ST_WPT_RUN, 60, 0, -4, 1.2);  
          
    Hippo1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "HIPPOPath1", 0, ST_GRAZING, 10,0,0,.1);
   	Animal.SetAttackType(Hippo1, ATK_STATIC);
   	Animal.SetStaticAttackDist(Hippo1, 3.5);
   	Animal.SetAttackRepeat(Hippo1, 1);   
	Animal.SetAutoChargeDist(Hippo1, 10); 
	Animal.EnableFear(Hippo1,false);
	Animal.SetPostAttackRand(Hippo1, false);
	Animal.SetPostAttackDir(Hippo1, -90);	
		
	Hippo7 =EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "HIPPOPath2", 0, ST_GRAZING, 15,0,0,.2);
   	Animal.SetAttackType(Hippo7, ATK_STRAFE);
   	Animal.SetAttackRepeat(Hippo7, 1);   
	Animal.SetAutoChargeDist(Hippo7, 13); 	
	Animal.EnableFear(Hippo7,false);	
	
	Hippoc=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "HIPPOPath3", 0, ST_GRAZING, 20,0,0,.4);	
	Animal.EnableFear(Hippoc,false);		
	Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath1", 1, ST_WPT_RUN, 60, 0, 0, 1); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 60, 0, -3, 1);
	Script.WaitSec(4);		
 	animal11=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath11", 0, ST_POPUP, 2.5,0,0,1);     
    Animal.SetElvOffset(animal11, .2); 
    Animal.FaceEntity(animal11, entCamera);
    Animal.SetCoinMode(animal11, CM_SPAWNREL);

	Script.WaitSec(3.5); --BLASTING TIME
	
	--Voice.PlayVox(VOX_HIPPO_CHARGING, 1);
		
	Script.WaitSec(6.5);
										
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptEE");

	Script.WaitSec(3);
	animala=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath12", 0, ST_POPUP, 6, 0, 0, 1);     
    Animal.SetElvOffset(animala, 1.0); 
    Animal.FaceEntity(animala, entCamera);
    Animal.SetCoinMode(animala, CM_SPAWNREL);
    Script.WaitSec(.5);
	animalb=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath13", 0, ST_POPUP, 8, 0, 0, 1);     
    Animal.SetElvOffset(animalb, 1); 
    Animal.FaceEntity(animalb, entCamera);
    Animal.SetCoinMode(animalb, CM_SPAWNREL);	
    Script.WaitSec(3);	
   	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath6", 0, ST_WPT_RUN, 0,0,-.5,2.0);
   	Script.WaitSec(.5);
   	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath6", 0, ST_WPT_RUN, 0,0,.5,1.5);
	Script.WaitSec(.5);   	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath6", 0, ST_WPT_RUN, 0,0,.5,1.0);	
  	Script.WaitSec(2);
  		
    Hippo2 = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WILDEBEESTPath6", 0, ST_WPT_RUN, 10,0,0,.2);
   	Animal.SetAttackType(Hippo2, ATK_STRAFE);
   	Animal.SetStrafeAttackDist(Hippo2, 5.4);
   	Animal.SetAttackRepeat(Hippo2, 1);   
	Animal.SetAutoChargeDist(Hippo2, 10); 
	Animal.SetPostAttackRand(Hippo2, false);
	Animal.SetPostAttackDir(Hippo2, -90);

		--Now at WPTEE
		
   	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,0,.5,1.6);
	Script.WaitSec(1);   	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,0,.5,1.2);	
	Script.WaitSec(5);
		
	Script.WaitSec(3); --BLASTING TIME
							
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptFF");
		
	Script.WaitSec(3);
   	a=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,1,.5,2.2);
   	Animal.FaceEntity(a, entCamera); 
   	Script.WaitSec(1);   	
    b=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,.5,.5,1.5);
   	Animal.FaceEntity(b, entCamera);        	   
   	Script.WaitSec(1);
    c=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,-.5,2,.8);
   	Animal.FaceEntity(c, entCamera);        
	Script.WaitSec(3);
    d=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,-1.5,0,1.3);
   	Animal.FaceEntity(d, entCamera);        	   
   	Script.WaitSec(1);
    e=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,1,0,1.2);
   	Animal.FaceEntity(e, entCamera);  
   	Script.WaitSec(3); 
   	f=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,1,.5,1.6);
   	Animal.FaceEntity(f, entCamera);   	 
   	Script.WaitSec(.5);   	
    g=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,.5,.5,1.0);
   	Animal.FaceEntity(g, entCamera);        	   
   	Script.WaitSec(1);
    h=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,-.5,2,.8);
   	Animal.FaceEntity(h, entCamera);     
	Script.WaitSec(3);
		
  	Hippo3 = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WILDEBEESTPath3", 0, ST_WPT_RUN, 0,0,0,.3);
   	Animal.FaceEntity(Hippo3, entCamera);
   	Animal.SetChargeWhenShot(Hippo3, true);
   	Animal.SetAttackType(Hippo3, ATK_STRAFE); 
   	Animal.SetPostAttackRand(Hippo3, false);
	Animal.SetPostAttackDir(Hippo3, -90);
	Animal.SetPostAttackTimer(Hippo3, 2);
	
  	  	       
	Script.WaitSec(3);
  	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath6", 0, ST_WPT_RUN, 0,0,-.5,2.0);
   	Script.WaitSec(.5);
   	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath6", 0, ST_WPT_RUN, 0,0,.5,1.5);
	Script.WaitSec(.5);   	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath6", 0, ST_WPT_RUN, 0,0,.5,1.0);
 	Script.WaitSec(4.5);  
  					    	
	--Now at WPTFF
								
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptHH");

	Script.WaitSec(4.5);
  	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,-1.5,-.5,2.0);
   	Script.WaitSec(1.5);
   	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,1,.5,1.0);
	Script.WaitSec(.75);   	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,-1.7,.5,1.0);	
	Script.WaitSec(2.5);
  	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0, 2.5,-.5,2.0);
   	Script.WaitSec(1);
   	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,-1.8,-.5,1.3);
	Script.WaitSec(.75);   	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0, 1.7,.5,1.2);	
	Script.WaitSec(2);
		
	Hippo9 = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,0,0,1.0);
	Animal.SetAttackType(Hippo9, ATK_STRAFE);
	Animal.SetAutoChargeDist(Hippo9, 16);	
	Animal.SetStrafeAttackDist(Hippo9, 5.0);
	Animal.SetPostAttackRand(Hippo9, false);
	Animal.SetPostAttackDir(Hippo9, 90);	
		
	Script.WaitSec(4);
		
	--NEXT GROUP	
  	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,-1.5,-.5,1.2);
   	Script.WaitSec(.5);
 
	--Now at WPTHH
						
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptKK");	
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,-1.5,-.5,1.2);
   	Script.WaitSec(.5);
   	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath1", 1, ST_WPT_RUN, 0,1,.5,1.5);
	Script.WaitSec(1.5);  
	animalj=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath15", 0, ST_POPUP, 15, 0, 0, 1);     
    Animal.SetElvOffset(animalj, .8); 
    Animal.FaceEntity(animalj, entCamera);
    Animal.SetCoinMode(animalj, CM_SPAWNREL);
    		
	Script.WaitSec(9); --Travel Time	
				
	animal1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "MEERKATPath14", 0, ST_POPUP, 6, 0, 0, 1);     
    Animal.SetElvOffset(animal1, 1.0);
    Animal.SetCoinMode(animal1, CM_SPAWNREL);
    		
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath5", 1, ST_WPT_RUN, 0,0,-3,1.5);
	Script.WaitSec(1.5);	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath5", 1, ST_WPT_RUN, 0,0,1.3,2.2);
	Script.WaitSec(1);	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath5", 1, ST_WPT_RUN, 0,0,-3.2,1.2);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath5", 1, ST_WPT_RUN, 0,0,-3.1,1.5);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath5", 1, ST_WPT_RUN, 0,0,1.2,1.8);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath5", 1, ST_WPT_RUN, 0,0,2,.9);		
	Script.WaitSec(5);
	a=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,0,0,1.5);
	Animal.FaceEntity(a, entCamera);
	Script.WaitSec(.2);		
	b=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,-1.5,0,2);
   	Animal.FaceEntity(b, entCamera);	
	Script.WaitSec(.5);		
	c=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,0,0,.8);
   	Animal.FaceEntity(c, entCamera);	
	Script.WaitSec(.8);		
	d=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,-1.5,0,1.8);
   	Animal.FaceEntity(d, entCamera);	
	Script.WaitSec(1.0);		
	e=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,.6,0,1.6);
   	Animal.FaceEntity(e, entCamera);							
	Script.WaitSec(.5);		
	f=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,1.2,0,2.5);
   	Animal.FaceEntity(f, entCamera);		
	Script.WaitSec(1.0);	
	Hippo4 = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,0,.5,.6);
   	Animal.FaceEntity(Hippo4, entCamera);	
	Script.WaitSec(.25);	
	h=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,1,0,.7);
   	Animal.FaceEntity(h, entCamera);		
	Script.WaitSec(.5);	
	i=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,0,-.8,.4);
   	Animal.FaceEntity(i, entCamera);
   	Script.WaitSec(.5);	
   	j=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,0,0,1.5);
	Animal.FaceEntity(j, entCamera);
	Script.WaitSec(.2);		
	k=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "WILDEBEESTPath4", 1, ST_WPT_RUN, 0,-1.5,0,2);
   	Animal.FaceEntity(k, entCamera);	
						
	end;
    
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1(); 
   